OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockNetworkTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.mock.MockNetworkTest

All Implemented Interfaces:
  junit.framework.Test

public class MockNetworkTest
extends junit.framework.TestCase

Test the MockNetwork and related classes

Author:
  brozow

Nested Class Summary
`(package private) static class` `MockNetworkTest.ElementCounter`
`(package private) static class` `MockNetworkTest.MockNetworkInterface`
`(package private) class` `MockNetworkTest.StatusChecker`

Field Summary
`private MockNetworkTest.StatusChecker` `m_downChecker`
`private MockEventIpcManager` `m_eventMgr`
`private MockNetwork` `m_network`
`private MockPollerConfig` `m_pollerConfig`
`private MockNetworkTest.StatusChecker` `m_upChecker`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`MockNetworkTest()`

Method Summary
`private void` `anticipateServiceEvents(EventAnticipator anticipator, MockElement element, java.lang.String uei)`
`protected void` `setUp()`
`protected void` `tearDown()`
`void` `testCreateInterfaces()`
`void` `testCreateNodes()`
`void` `testCreateServices()`
`void` `testEventListeners()`
`void` `testEventMgr()`
`void` `testEventProcessing()`
`private void` `testEventProcessing(MockElement element)`
`void` `testInvalidPoll()`
`void` `testLookupNotThere()`
`void` `testPollerConfig()`
`void` `testPollOutageConfig()`
`void` `testPollStatus()`
`void` `testQueryManager()`
`void` `testRemove()`
`void` `testScheduledOutages()`
`private void` `testServicePoll(MockElement element)`
`void` `testSetPollStatus()`
`void` `testVisitor()`
`void` `testWaitForEvent()`
`void` `testWaitForPoll()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_downChecker

    private MockNetworkTest.StatusChecker m_downChecker

### m_network

    private MockNetwork m_network

### m_upChecker

    private MockNetworkTest.StatusChecker m_upChecker

### m_pollerConfig

    private MockPollerConfig m_pollerConfig

### m_eventMgr

    private MockEventIpcManager m_eventMgr

Constructor Detail

### MockNetworkTest

    public MockNetworkTest()

Method Detail

### anticipateServiceEvents

    private void anticipateServiceEvents(EventAnticipator anticipator,
                                         MockElement element,
                                         java.lang.String uei)

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCreateInterfaces

    public void testCreateInterfaces()

### testCreateNodes

    public void testCreateNodes()

### testCreateServices

    public void testCreateServices()

### testEventListeners

    public void testEventListeners()

### testEventMgr

    public void testEventMgr()

### testEventProcessing

    public void testEventProcessing()

### testEventProcessing

    private void testEventProcessing(MockElement element)

  Parameters:
    `element` -

### testInvalidPoll

    public void testInvalidPoll()
                         throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

### testLookupNotThere

    public void testLookupNotThere()

### testPollerConfig

    public void testPollerConfig()

### testPollOutageConfig

    public void testPollOutageConfig()

### testPollStatus

    public void testPollStatus()

### testQueryManager

    public void testQueryManager()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRemove

    public void testRemove()

### testScheduledOutages

    public void testScheduledOutages()

### testServicePoll

    private void testServicePoll(MockElement element)
                          throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

### testSetPollStatus

    public void testSetPollStatus()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testVisitor

    public void testVisitor()

### testWaitForEvent

    public void testWaitForEvent()
                          throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### testWaitForPoll

    public void testWaitForPoll()
                         throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.